#include "project.h"
#include <stdio.h>
#include "tty_utils.h"

#if 0 /* negative logic */
#define LED_ON  0u
#define LED_OFF 1u
#else /* positive logic */
#define LED_ON  1u
#define LED_OFF 0u
#endif

#define R_MASK 0x04u
#define G_MASK 0x02u
#define B_MASK 0x01u

int r_flag = 0 ;
int g_flag = 0 ;
int b_flag = 0 ;

/****************************************************************************/
void init_hardware(void)
{
   CyGlobalIntEnable; /* Enable global interrupts. */
   
	PWM_Blinker_Start();
   tty_init() ;
   splash("LED Blink Test") ;
}


/****************************************************************************/
void blink(uint8_t rgb_mode)
{
    print("R: ") ;
    if (rgb_mode & R_MASK) { print("Blinking\t") ;}
	else { print("\t\t\t");}

    print("G: ") ;
    if (rgb_mode & G_MASK) { print("Blinking\t") ; }
	else { print("\t\t\t");}

    print("B: ") ;
    if (rgb_mode & B_MASK) { print("Blinking\t") ; }

	print("\n\r") ;

	Control_Reg_Write(rgb_mode);  // Here is where the LEDs to blink are controlled.
}

/****************************************************************************/
void do_command(char *str)
{
    int mode ;
    sscanf(str, "%d", &mode) ;
	
    blink(mode) ;
}

/****************************************************************************/
int main(void)
{
    init_hardware() ;
    
    prompt() ;
    for ( ; ; ) {
        if (get_line()) {
            do_command(str) ;
            prompt() ;
        }
    }
}

